Trendyol seller products
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-trendyol-sellers-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"seller": "992531",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-trendyol-sellers-products"
payload = {
"seller": "992531",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({seller: '992531', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-trendyol-sellers-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "trendyol_seller_products",
"seller": "992531",
"seller_id": "992531",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Trendyol seller products\n\n- **Seller:** 992531\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 554.6 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "812982801",
"url": "https://www.trendyol.com/apple/yenilenmis-iphone-13-128-gb-yildiz-isigi-cep-telefonu-12-ay-garantili-a-kalite-p-812982801",
"name": "Yenilenmiş iPhone 13 128 GB Yıldız Işığı Cep Telefonu (12 Ay Garantili) - A Kalite",
"brand": "Apple",
"price": 29178.52,
"list_price": 29774,
"currency": "TRY",
"image": "https://cdn.dsmcdn.com/mnresize/400/-/ty1622/prod/QC/20250109/15/264c2a80-6308-3848-9145-70626fb8eed3/1_org_zoom.jpg",
"rating": 3.89,
"review_count": 1306
},
"items": [
{
"id": "812982801",
"url": "https://www.trendyol.com/apple/yenilenmis-iphone-13-128-gb-yildiz-isigi-cep-telefonu-12-ay-garantili-a-kalite-p-812982801",
"name": "Yenilenmiş iPhone 13 128 GB Yıldız Işığı Cep Telefonu (12 Ay Garantili) - A Kalite",
"brand": "Apple",
"price": 29178.52,
"list_price": 29774,
"currency": "TRY",
"image": "https://cdn.dsmcdn.com/mnresize/400/-/ty1622/prod/QC/20250109/15/264c2a80-6308-3848-9145-70626fb8eed3/1_org_zoom.jpg",
"rating": 3.89,
"review_count": 1306
},
{
"id": "931813512",
"url": "https://www.trendyol.com/apple/yenilenmis-iphone-15-128-gb-mavi-cep-telefonu-12-ay-garantili-b-kalite-p-931813512",
"name": "Yenilenmiş iPhone 15 128 GB Mavi Cep Telefonu (12 Ay Garantili) - B Kalite",
"brand": "Apple",
"price": 47980.1,
"list_price": 48464.75,
"currency": "TRY",
"image": "https://cdn.dsmcdn.com/mnresize/400/-/ty1672/prod/QC/20250502/14/1af87873-2c7d-3110-98e0-c6aa68b7eaee/1_org_zoom.jpg",
"rating": 4.2,
"review_count": 66
}
],
"proxy_traffic_bytes": 567861
},
"total_points": 2
}E-commerce & Marketplaces
Trendyol seller products
A seller’s storefront products on Trendyol by seller id or store URL: name, brand, price, rating, image. 1 point per returned record.
POST
/
functions
/
v1
/
run-trendyol-sellers-products
Trendyol seller products
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.